Sign and Send
curl --request POST \
--url https://testnet.walletkit.com/transactions/sign-and-send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signer_wallet_address": "<string>",
"unsigned_transaction": {
"to": "<string>",
"value": "<string>",
"input": "<string>",
"gasLimit": "<string>",
"maxPriorityFeePerGas": "<string>",
"maxFeePerGas": "<string>",
"nonce": "<string>"
},
"developer_secret": "<string>",
"user_pin": "<string>"
}
'import requests
url = "https://testnet.walletkit.com/transactions/sign-and-send"
payload = {
"signer_wallet_address": "<string>",
"unsigned_transaction": {
"to": "<string>",
"value": "<string>",
"input": "<string>",
"gasLimit": "<string>",
"maxPriorityFeePerGas": "<string>",
"maxFeePerGas": "<string>",
"nonce": "<string>"
},
"developer_secret": "<string>",
"user_pin": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signer_wallet_address: '<string>',
unsigned_transaction: {
to: '<string>',
value: '<string>',
input: '<string>',
gasLimit: '<string>',
maxPriorityFeePerGas: '<string>',
maxFeePerGas: '<string>',
nonce: '<string>'
},
developer_secret: '<string>',
user_pin: '<string>'
})
};
fetch('https://testnet.walletkit.com/transactions/sign-and-send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_id": "<string>",
"status": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Transactions
Sign and Send
This endpoint allows arbitrary smart contract function calls. It can be used to interact with smart contracts that are not supported by the Token/NFT APIs.
Sign and Send
Headers
Your WalletKit Project ID can be found on the API Keys page in the WalletKit Dashboard.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
Ethereum, Polygon, Base, Avalanche, Polkadot, Vara address can only be the ones created in the project.
input of a transaction to be signed.
Show child attributes
Show child attributes
On testnet, the developer_secret is always "testnet-secret". On mainnet, the developer_secret is set by the developer during account activation.
A 6-digit numeric pin that is only known to the user, set during wallet creation. This pin is required to sign transactions from this wallet.
⌘I